{ --------------------------------------------------------------------- }
{ FILE: WINMON.PAS                                                      }
{                                                                       }
{ PUROPSE: Pascal unit for WinMon.                                      }
{                                                                       }
{      NOTE: Uses PChar data type defined in Borland Delphi.            }
{            This may not be available with other flavors of Pascal.    }
{                                                                       }
{                                                                       }
{ Copyright 1995, David Burki                                           }
{ All rights reserved.                                                  }
{                                                                       }
{                                                                       }
{ DATE:     Name:  Description of Modification:                         }
{ --------  -----  ----------------------------                         }
{ 05/24/95  dlb    Created                                              }
{                                                                       }
{ --------------------------------------------------------------------- }

{ Extended Syntax ($X+) turned on for type PChar }
{$X+}

unit winmon;

interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs;


function  WINMON_WriteLnUInt( FmtStr:PChar; Value:Word ) : Integer; far;
function  WINMON_WriteLnULong( FmtStr:PChar; Value:Longint ) : Integer; far;
function  WINMON_WriteLnDouble( FmtStr:PChar; Value:Double ) : Integer; far;
function  WINMON_WriteLnString( FmtStr:PChar; Value:PChar ) : Integer; far;
procedure WINMON_DumpPointer( Buffer:Pointer; Size:Word ); far;

function  WINMON_bFileSave( FileSpec:PCHAR; Overwrite:Boolean) : Boolean; far;
procedure WINMON_vClear; far;
function  WINMON_bPause( State:Boolean ) : Boolean; far;
function  WINMON_bTimeStamp( State:Boolean ) : Boolean; far;
function  WINMON_bOverWrite( State:Boolean ) : Boolean; far;
function  WINMON_bStayOnTop( State:Boolean ) : Boolean; far;

function  WINMON_SetFileName( FileSpec:PChar ) : PChar; far;
function  WINMON_SetAutoSaveCount( SaveCount:Word ) : Word; far;


implementation

function WINMON_WriteLnUInt( FmtStr:PChar;Value:Word ) : Integer;
     external 'WINMON' name 'WINMON_WriteLnUInt';

function WINMON_WriteLnULong( FmtStr:PChar; Value:Longint ) : Integer;
     external 'WINMON' name 'WINMON_WriteLnULong';

function WINMON_WriteLnDouble( FmtStr:PChar; Value:Double ) : Integer;
     external 'WINMON' name 'WINMON_WriteLnDouble';

function WINMON_WriteLnString( FmtStr:PChar; Value:PChar ) : Integer;
     external 'WINMON' name 'WINMON_WriteLnString';

procedure WINMON_DumpPointer( Buffer:Pointer; Size:Word );
     external 'WINMON' name 'WINMON_DumpPointer';

function  WINMON_bFileSave( FileSpec:PCHAR; Overwrite:Boolean) : Boolean;
     external 'WINMON' name 'WINMON_bFileSave';

procedure WINMON_vClear;
     external 'WINMON' name 'WINMON_vClear';

function  WINMON_bPause( State:Boolean ) : Boolean;
     external 'WINMON' name 'WINMON_bPause';

function  WINMON_bTimeStamp( State:Boolean ) : Boolean;
          external 'WINMON' name 'WINMON_bTimeStamp';

function  WINMON_bOverWrite( State:Boolean ) : Boolean;
     external 'WINMON' name 'WINMON_bOverWrite';

function  WINMON_SetFileName( FileSpec:PChar ) : PChar;
     external 'WINMON' name 'WINMON_SetFileName';

function  WINMON_SetAutoSaveCount( SaveCount:Word ) : Word;
     external 'WINMON' name 'WINMON_SetAutoSaveCount';

function  WINMON_bStayOnTop( State:Boolean ) : Boolean;
     external 'WINMON' name 'WINMON_bStayOnTop';


end.
